
Base Distribution - Story # 8787

Status: Closed Priority: Should have
Author: Daniel Poetzinger Category:
Created: 2010-07-10 Assigned To:
Updated: 2011-09-20 Due date:
Subject: As  Klaus  I want to add new content elements to a website
Description

Drag and Drop from the view area to the page

Subtasks:
Task # 12104: Create Photoshop design for add-new-content element Closed
Task # 11200: Auto-create text element after creating new page Resolved
Task # 12366: Make content type names localizable Resolved
Task # 11327: Disabled Aloha on the actual website (outside the UI) even when a user is... Resolved
Task # 11990: Make it possible to render a given node on its own Resolved
Task # 11156: Create technical concept for content element handling Resolved
Task # 12370: Create placeholders if contenteditable is empty Resolved
Task # 12368: Implement moving of nodes Resolved
Task # 12696: Style content placeholders Resolved
Task # 12363: Aloha should have buttons to insert new content elements Resolved
Task # 11220: Explore technical possibilities for add-new-content-element in Aloha Resolved
Task # 11176: Implement content type registration mechanism (e.g. ContentTypes.yaml) Closed

History
#1 - 2010-10-20 12:26 - Sebastian Kurfuerst
- Project changed from 1204 to Core Team

#2 - 2010-10-28 14:41 - Daniel Poetzinger
- Position deleted (9436)
- Position set to 5440

#3 - 2010-11-24 13:05 - Robert Lemke
- Target version set to 732
- Position deleted (5446)
- Position set to 5

#4 - 2011-01-06 14:27 - Sebastian Kurfuerst
- Target version changed from 732 to 788
- Position deleted (15)
- Position set to 2

#5 - 2011-01-06 14:30 - Sebastian Kurfuerst
- Position deleted (2)
- Position set to 9

#6 - 2011-01-06 14:52 - Robert Lemke
- Position deleted (12)
- Position set to 14

#7 - 2011-01-06 19:14 - Sebastian Kurfuerst
Phoenix new Content Brainstorm

 * There will be simple and compound content types
   * simple type -> image, text, object resource? (no children)
   * compound type -> (has children) container, based on container and a combination of other types (nesting possible)
 * We need a "Parent" content type to distinugish which content types are available for aloha
   * -> all elements which are NOT of type TYPO3:Folder should be insertable
   * -> needs to be refined later via constraints (f.e. "Text+Image" contains 1Text and >=1 image (local constraints) -> can be resolved
automatically
   * -> and later on a constraint system to define which content elements can be used in which node (on which page, in which section) (global
constraints)

 * Instead of local constraints: for now, we take a factory to create all needed nodes for a combined type at once
 * adjust service to get single rendered content nodes for (parts of a page)
   * needs probably modification of NodeObjectConverter
 * On the client side, we will add the placeholder content (depending on the Types, which are inside the registry as schema)

http://phoenix.demo.typo3.org/homepage/anotherpage.html

http://phoenix.demo.typo3.org/homepage/anotherpage.html?filter=...

http://typo3v5.local/typo3/service/rest/v1/node/live/sites/phoenixdemotypo3org/homepage/main/text1.html
-> er soll das Template, was bspw. an "text1" h√§ngt, nehmen
site
    homepage (page)
    ->TS template A
        main (section)
            text1 (text)
            ->TS template B

Bei Rendering von http://typo3v5.local/typo3/service/rest/v1/node/live/sites/phoenixdemotypo3org/homepage.html -> TS Template A wird
verwendet

http://typo3v5.local/typo3/service/rest/v1/node/live/sites/phoenixdemotypo3org/homepage/main/text1.html -> TS Template A+B wird
verwendet
-> ist das ein relevanter use-case?
-> Explizite Limitierung: Templates nur bis FOLDER-Level?!

Alternative:
site
    homepage (page)
    ->TS template A
        main (section)
            text1 (text)

TS Template A:

page = Page
page.body = Template
page.body.source = ...
page.body.sectionName = "body" 
page.parts.XY
page.body.content.sidebar.prototype<Image>.width = "100px" 
# in content sidebar Bilder maximal 100px breit (by default)
page.body.content.sidebar.prototype<TYPO3:Text>.properties.text.value << 1.uppercase()

# Static Template
prototype<TYPO3:Text> = Node
prototype<TYPO3:Page> = Page

# in sidebar den Text "uppercase" machen
http://typo3v5.local/typo3/service/rest/v1/node/live/sites/phoenixdemotypo3org/homepage.html?typoscriptNode=page.body.content.sidebar[text1]
Alternativ (besser):
http://typo3v5.local/typo3/service/rest/v1/node/live/sites/phoenixdemotypo3org/homepage/main/text1.html?typoscriptNode=page.body.content.sidebar

http://typo3v5.local/typo3/service/rest/v1/node/live/sites/phoenixdemotypo3org/homepage/main/text1.html?typoscriptNode=mySpecialTextElementForStandaloneText
# macht Zeile 34-36 obsolet


t1]
Alternativ (besser):
http://typo3v5.local/typo3/service/rest/v1/node/live/sites/phoenixdemotypo3org/homepage/main/text1.html?typoscriptNode=page.body.content.sidebar

http://typo3v5.local/typo3/service/rest/v1/node/live/sites/phoenixdemotypo3org/homepage/main/text1.html?typoscriptNode=mySpecialTextElementForStandaloneText
# macht Zeile 34-36 obsolet


sidebar

http://typo3v5.local/typo3/service/rest/v1/node/live/sites/phoenixdemotypo3org/homepage/main/text1.html?typoscriptNode=mySpecialTextElementForStandaloneText
# macht Zeile 34-36 obsolet


entForStandaloneText
# macht Zeile 34-36 obsolet

#8 - 2011-01-06 19:15 - Sebastian Kurfuerst

http://typo3.ietherpad.com/21

#9 - 2011-01-19 13:05 - Sebastian Kurfuerst

    -  Developing at https://github.com/skurfuerst/TYPO3

#10 - 2011-05-05 13:51 - Robert Lemke
- Project changed from Core Team to Base Distribution
- Target version deleted (788)

#11 - 2011-05-06 08:21 - Robert Lemke
- Target version set to Sprint 7
- Position deleted (17924)
- Position set to 5

#12 - 2011-09-20 17:54 - Sebastian Kurfuerst
- Status changed from New to Closed

Bulk-closing issues because they are

    -  not relevant anymore due to the sproutcore based backend
    -  or already implemented in the meantime.

Regards, Sebastian
